Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051984 - Met shell syntax errors when rhcsh on INT
Summary: Met shell syntax errors when rhcsh on INT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 03:31 UTC by chunchen
Modified: 2016-09-30 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:55:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description chunchen 2014-01-13 03:31:55 UTC
Description of problem:
when ssh into app, will meet shell errors like "awk: (FILENAME=- FNR=1) fatal: division by zero attempted
expr: syntax error
"

Version-Release number of selected component (if applicable):
INT(devenv_4205)

How reproducible:
always

Steps to Reproduce:
1. SSH into a new or existing app
rhc ssh <app_name>

Actual results:
Connecting to 52ce32e26cec0ec15a000131@django27-cdm.int.rhcloud.com ...

    *********************************************************************

    You are accessing a service that is for use only by authorized users.  
    If you do not have authorization, discontinue use at once. 
    Any use of the services is subject to the applicable terms of the 
    agreement which can be found at: 
    https://www.openshift.com/legal

    *********************************************************************

    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with "rhc app delete"
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.


awk: (FILENAME=- FNR=1) fatal: division by zero attempted
expr: syntax error
awk: (FILENAME=- FNR=1) fatal: division by zero attempted
expr: syntax error
[django27-cdm.int.rhcloud.com 52ce32e26cec0ec15a000131]\> 

Expected results:
Should not show shell errors when rhcsh

Additional info:

Comment 1 openshift-github-bot 2014-01-13 07:29:50 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/b00606787996b4a67a70c7c946ee7d21b45f191f
Bug 1051984 - Add -w to quota command

Comment 2 chunchen 2014-01-14 02:04:16 UTC
It's fixed, verified on INT(devenv_4217), please refer to the following results:

$ rhc ssh django27 --server int.openshift.redhat.com -lxxxx -pxxxxx
Connecting to 52ce32e26cec0ec15a000131@django27-cdm.int.rhcloud.com ...

    *********************************************************************

    You are accessing a service that is for use only by authorized users.  
    If you do not have authorization, discontinue use at once. 
    Any use of the services is subject to the applicable terms of the 
    agreement which can be found at: 
    https://www.openshift.com/legal

    *********************************************************************

    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with "rhc app delete"
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.


[django27-cdm.int.rhcloud.com 52ce32e26cec0ec15a000131]\>


Note You need to log in before you can comment on or make changes to this bug.